QMI-WWAN package give error


I have MiFi engineering board (v1) with Quectel EC20 4G card.
I try install qmi-wwan package, but I get error. Some reason that package is not there, why is that?
What is problem?

Installing kmod-usb-net-qmi-wwan (3.10.49-1) to root…
Downloading http://domino.io/firmware/pi/1.1/packages/base/kmod-usb-net-qmi-wwan_3.10.49-1_ar71xx.ipk.
Collected errors:

  • satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-usb-net-qmi-wwan:
  • kernel (= 3.10.49-1-4a7398d045790eff32ae2febddcb9b3c) * kernel (= 3.10.49-1-4a7398d045790eff32ae2febddcb9b3c) *
  • opkg_install_cmd: Cannot install package kmod-usb-net-qmi-wwan.


Hi spider:

Your board’s firmware is old,it is test firmware,so we don’t give some package.

Please update your firmware at web,the new firmware at http://www.gl-inet.com/firmware/mifi/,its name is openwrt-mifi-20160301.bin.

If you have any question about update firmware,please let us know,we will give you some help.